# Generated from fluentd-plugin-annotation-filter-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluentd-plugin-annotation-filter

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: A filter plugin to drop log entries without the right set of Kubernetes annotations
License: MIT
URL: https://github.com/redbubble/fluentd-plugin-annotation-filter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(test-unit) >= 3.3
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
Fluentd plugin to filter based on Kubernetes annotations.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/fluentd-plugin-annotation-filter.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.1-1
- Initial package
